Bug 77085 - [GStreamer] 0.11 build support
Summary: [GStreamer] 0.11 build support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 77005
  Show dependency treegraph
 
Reported: 2012-01-26 02:56 PST by Philippe Normand
Modified: 2012-01-31 00:03 PST (History)
1 user (show)

See Also:


Attachments
0.11 build support (4.39 KB, patch)
2012-01-26 03:02 PST, Philippe Normand
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2012-01-26 02:56:16 PST
We need a new --with-gstreamer configure option and a macro to ease porting the existing code.
Comment 1 Philippe Normand 2012-01-26 03:02:21 PST
Created attachment 124089 [details]
0.11 build support
Comment 2 Sebastian Dröge (slomo) 2012-01-30 02:24:01 PST
Looks good
Comment 3 Martin Robinson 2012-01-30 09:48:34 PST
Comment on attachment 124089 [details]
0.11 build support

View in context: https://bugs.webkit.org/attachment.cgi?id=124089&action=review

Looks good, but fix the indentation and line breaking of the case statement.

> configure.ac:272
> +# determine the (optional) GStreamer version to use

You can just omit this.

> configure.ac:277
> +        [case "$with_gstreamer" in
> +        0.10|0.11) ;;

Your line breaks and indentation are a bit weird here.
Comment 4 Philippe Normand 2012-01-31 00:03:50 PST
Committed r106340: <http://trac.webkit.org/changeset/106340>